### Method

# ECal ComponentParameterBag take

since: 3.34

#### Declaration [src]

    void
    e_cal_component_parameter_bag_take (
      ECalComponentParameterBag* bag,
      ICalParameter* param
    )

#### Description [src]

Adds the `param` into the `bag` and assumes ownership of the `param`.

Available since: 3.34

#### Parameters

`param`

  Type: `None`

  An `ICalParameter`.

  The instance takes ownership of the data, and is responsible for freeing it.